Loading...
Searching...
No Matches
CoinAbcCommonFactorization.hpp File Reference
`#include "CoinAbcCommon.hpp"`
`#include "CoinAbcDenseFactorization.hpp"`
Include dependency graph for CoinAbcCommonFactorization.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | CoinAbcStatistics
struct | CoinAbcStack

## Macros

#define | INITIAL_AVERAGE 1.0
#define | INITIAL_AVERAGE2 1.0
#define | AVERAGE_SCALE_BACK 0.8
#define | setStatistics(x)
#define | factorizationStatistics()
#define | FACTORIZATION_STATISTICS 0
#define | twiddleFactor1S()
#define | twiddleFactor2S()
#define | twiddleFtranFactor1()
#define | twiddleFtranFTFactor1()
#define | twiddleBtranFactor1()
#define | twiddleFtranFactor2()
#define | twiddleFtranFTFactor2()
#define | twiddleBtranFactor2()
#define | twiddleBtranFullFactor1()
#define | ABC_FAC_GOT_LCOPY 4
#define | ABC_FAC_GOT_RCOPY 8
#define | ABC_FAC_GOT_UCOPY 16
#define | ABC_FAC_GOT_SPARSE 32
#define | SWAP_FACTOR 2
#define | BLOCKING8 8
#define | BLOCKING8X8 BLOCKING8 *BLOCKING8

## Functions

void | CoinAbcDgetrs (char trans, int m, double *a, double *work)
int | CoinAbcDgetrf (int m, int n, double *a, int lda, int *ipiv)
void | CoinAbcDgetrs (char trans, int m, long double *a, long double *work)
int | CoinAbcDgetrf (int m, int n, long double *a, int lda, int *ipiv)

## Macro Definition Documentation

## INITIAL_AVERAGE

#define INITIAL_AVERAGE 1.0

Definition at line 17 of file CoinAbcCommonFactorization.hpp.

## INITIAL_AVERAGE2

#define INITIAL_AVERAGE2 1.0

Definition at line 18 of file CoinAbcCommonFactorization.hpp.

## AVERAGE_SCALE_BACK

#define AVERAGE_SCALE_BACK 0.8

Definition at line 19 of file CoinAbcCommonFactorization.hpp.

## setStatistics

#define setStatistics | ( |  | x | ) |

Definition at line 22 of file CoinAbcCommonFactorization.hpp.

## factorizationStatistics

#define factorizationStatistics | ( |  | ) |

Value:
(true)

Definition at line 23 of file CoinAbcCommonFactorization.hpp.

## FACTORIZATION_STATISTICS

#define FACTORIZATION_STATISTICS 0

Definition at line 31 of file CoinAbcCommonFactorization.hpp.

## twiddleFactor1S

#define twiddleFactor1S | ( |  | ) |

Value:
(1.0)

Definition at line 57 of file CoinAbcCommonFactorization.hpp.

## twiddleFactor2S

#define twiddleFactor2S | ( |  | ) |

Value:
(1.0)

Definition at line 58 of file CoinAbcCommonFactorization.hpp.

## twiddleFtranFactor1

#define twiddleFtranFactor1 | ( |  | ) |

Value:
(1.0)

Definition at line 59 of file CoinAbcCommonFactorization.hpp.

## twiddleFtranFTFactor1

#define twiddleFtranFTFactor1 | ( |  | ) |

Value:
(1.0)

Definition at line 60 of file CoinAbcCommonFactorization.hpp.

## twiddleBtranFactor1

#define twiddleBtranFactor1 | ( |  | ) |

Value:
(1.0)

Definition at line 61 of file CoinAbcCommonFactorization.hpp.

## twiddleFtranFactor2

#define twiddleFtranFactor2 | ( |  | ) |

Value:
(1.0)

Definition at line 62 of file CoinAbcCommonFactorization.hpp.

## twiddleFtranFTFactor2

#define twiddleFtranFTFactor2 | ( |  | ) |

Value:
(1.0)

Definition at line 63 of file CoinAbcCommonFactorization.hpp.

## twiddleBtranFactor2

#define twiddleBtranFactor2 | ( |  | ) |

Value:
(1.0)

Definition at line 64 of file CoinAbcCommonFactorization.hpp.

## twiddleBtranFullFactor1

#define twiddleBtranFullFactor1 | ( |  | ) |

Value:
(1.0)

Definition at line 65 of file CoinAbcCommonFactorization.hpp.

## ABC_FAC_GOT_LCOPY

#define ABC_FAC_GOT_LCOPY 4

Definition at line 67 of file CoinAbcCommonFactorization.hpp.

## ABC_FAC_GOT_RCOPY

#define ABC_FAC_GOT_RCOPY 8

Definition at line 68 of file CoinAbcCommonFactorization.hpp.

## ABC_FAC_GOT_UCOPY

#define ABC_FAC_GOT_UCOPY 16

Definition at line 69 of file CoinAbcCommonFactorization.hpp.

## ABC_FAC_GOT_SPARSE

#define ABC_FAC_GOT_SPARSE 32

Definition at line 70 of file CoinAbcCommonFactorization.hpp.

## SWAP_FACTOR

#define SWAP_FACTOR 2

Definition at line 90 of file CoinAbcCommonFactorization.hpp.

## BLOCKING8

#define BLOCKING8 8

Definition at line 91 of file CoinAbcCommonFactorization.hpp.

## BLOCKING8X8

#define BLOCKING8X8 BLOCKING8 *BLOCKING8

Definition at line 92 of file CoinAbcCommonFactorization.hpp.

## Function Documentation

## CoinAbcDgetrs() [1/2]

void CoinAbcDgetrs | ( | char | trans,
|  | int | m,
|  | double * | a,
|  | double * | work )

## CoinAbcDgetrf() [1/2]

int CoinAbcDgetrf | ( | int | m,
|  | int | n,
|  | double * | a,
|  | int | lda,
|  | int * | ipiv )

## CoinAbcDgetrs() [2/2]

void CoinAbcDgetrs | ( | char | trans,
|  | int | m,
|  | long double * | a,
|  | long double * | work )

## CoinAbcDgetrf() [2/2]

int CoinAbcDgetrf | ( | int | m,
|  | int | n,
|  | long double * | a,
|  | int | lda,
|  | int * | ipiv )